---
title: Customer management
slug: apis/customer-management
description: Manage customer records with Cross River's API: create, update, and retrieve customer info, addresses, phones, emails, IDs, and beneficial owners.
docTags: 
createdAt: 2025-02-16T08:59:27.608Z
---

:::CtaButton{label="Customer onboarding" docId="Nt23Lv6UL3hwB2r5bz4K9" openInNewTab="true"}

:::

## Customer management APIs

Use Cross River APIs to manage your customer information (called a customer record). You need a customer record, for example, to open a deposit account or create a debit card.

:::hint{type="info"}
[Get started](docId\:Z-MVwOV-p00-xX082NabK) with Cross River APIs.
:::

### GET calls

- Add query parameters to filter the response the API returns to general GET calls.
- Use [pagination](docId:6EKvQUYWeVh9x4zxmuKlJ)  to control presentation of your results.

### Regular expressions

Always omit accent marks from any of your API requests.

Use ``^[A-Za-z0-9^ !_-@'`\t()#""""*]+{}|~$%&,:.-\]+$`` as the regex for the following objects:

- name
- address
- phone
- email
- identification

## API calls

| Action                                                     | API                                                               | Description                                                     |
| ---------------------------------------------------------- | ----------------------------------------------------------------- | --------------------------------------------------------------- |
| [Add personal customer](docId\:isgkj7NIS9jHmyu3UPUBk)      | `POST /core/v1/cm/customers`                                      | Create new personal customer record                             |
| [Add business customer](docId:_txdfNUEc5BUraIyWib5F)       | `POST /core/v1/cm/customers`                                      | Create new business customer record                             |
| [Customer by ID](docId\:x36Ga61oFeFCQBnmUG0sS)             | `GET /core/v1/cm/customers/{id}`                                  | Retrieve a customer record by id                                |
| [Add beneficial owner](docId\:EOH9pzYARQnyhe9mh979u)       | `POST /core/v1/cm/customers/{customerId}/beneficial-owners`       | Add a beneficial owner to a business customer record            |
| [Update beneficial owner](docId\:kR2QhF0-bTklavDAO6GXI)    | `POST /core/v1/cm/customers/{customerId}/beneficial-owners/{id}`  | Update the beneficial owner record                              |
| [Add identification](docId\:QjfGSujVfqoxCpJiqzLfF)         | `POST /core/v1/cm/customers/{customerId}/identifications`         | Add ID details                                                  |
| [Add address](docId\:tWpyIp5zxe-kjEJqEUqfc)                | `POST /core/v1/cm/customers/{customerId}/addresses`               | Update customer address                                         |
| [Add phone](docId:5bNWSnxsqTB_GtuntlnPW)                   | `POST /core/v1/cm/customers/{customerId}/phones`                  | Update customer phone number                                    |
| [Add email](docId\:ghuoBTAsQ0vfLcEaWXPte)                  | `POST /core/v1/cm/customers/{customerId}/email`                   | Update customer email                                           |
| [Update name](docId\:oZgr8jG6O3eBhmieFcOic)                | `PUT /core/v1/cm/customers/{customerId}/name`                     | Update customer name                                            |
| [Update profile](docId:9O3Q5vAMhily1ufwtKENh)              | `PUT /core/v1/cm/customers/{id}/profile`                          | Update the customer record banking profile                      |
| [Update due diligence info](docId\:E6pfz1-BGdTt1VFDx_prh)  | `PUT /core/v1/cm/customer/{id}/due-diligence`                     | Update due diligence information for a personal customer record |
| [Deactivate customer](docId\:TRaekwV-r6EIhodKucu0z)        | `DELETE /core/v1/cm/customers/{id}`                               | Deactivate a customer                                           |

## Tutorials

See our API tutorials to learn how to:

- [Onboard a customer](docId\:iXWQHkcTI4dw4d_LoutGh): Create a basic customer record in our system. Most products and services require a customer record for each of your customers.
- [Add a beneficial owner](docId\:dHPmHjC04E5WUq34V59Iu): Associate a beneficial owner with a business customer record or use the beneficial owner field for BIN sponsorship.
- [Add identification](docId\:Gk2cTwkzVsjNTRDhQ67E5): Add the details of an identification document such as a driver's license or passport to a customer record.

